<?php

function wppconvert_sample_metaboxes( $meta_boxes ) {

    
    global $wp_query;
	global $post;
	global $wp;
	
	
	
		 
	$wppconvert_perma = get_permalink();

	
	$prefix = '_wppconvert_'; // Prefix for all fields
	$meta_boxes[] = array(
		'id' => 'test_metabox',
		'title' => '<strong>'.wppconvert_CPT_LABEL.'</strong>' ,
		'pages' => array('page','post'), // Add Metabox to this CPT
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
			
			
			array(
				'name'    => __( 'Enable', 'cmb' ),
				'desc'    => __( '<font color="blue">Enable ' .wppconvert_CPT_LABEL. ' for this page.</font>', 'cmb' ),
				'id'      => $prefix . 'enable',
				'type'    => 'select',
				'options' => array(
					'no' => __( 'No', 'cmb' ),
					'yes'   => __( 'Yes', 'cmb' ),
					
				),
			),
			
			
			
	

			array(
				'name' => 'Redirect to this url:',
				'desc' => '<strong><font color="green">How it works: </font></strong><font color="black">When someone visits this page a certain number of times that you specifiy, it wil be redirected to this url. </font>" ',
				'id' => $prefix . 'redirect_to',
				'type' => 'text',
				'default' => 'http://'
			),
			


			
		
			



			
			array(
    'name'    => 'Redirect After',
    'id'      => $prefix . 'redirect_after',
    'type'    => 'select',
    'options' => array(
        array(
            'name'  => __( 'Visit #2', 'cmb' ),
            'value' => '2',
        ),
        
		array(
            'name'  => __( 'Visit #3', 'cmb' ),
            'value' => '3',
        ),
        
		array(
            'name'  => __( 'Visit #4', 'cmb' ),
            'value' => '4',
        ),
        
		
		array(
            'name'  => __( 'Visit #5', 'cmb' ),
            'value' => '5',
        ),
        
		
		array(
            'name'  => __( 'Visit #6', 'cmb' ),
            'value' => '6',
        ),
        
		
		array(
            'name'  => __( 'Visit #7', 'cmb' ),
            'value' => '7',
        ),
        
		array(
            'name'  => __( 'Visit #8', 'cmb' ),
            'value' => '8',
        ),
        
		
		array(
            'name'  => __( 'Visit #9', 'cmb' ),
            'value' => '9',
        ),
        
		
		
		array(
            'name'  => __( 'Visit #10', 'cmb' ),
            'value' => '10',
        ),
        
		
		
		
		
		
		



		
		
    ),
),
			
		


		
		
		
		
		array(
				'name' => 'Cookie ID:',
				'desc' => '<font color="blue"><strong>Comments If you change this value, the counter of the current page will be reseted for all the visitors.<strong></font>',
				'id' => $prefix . 'cookie_id',
				'type' => 'text',
				'default' => wppconvert_generateRandomString()
			),

		
				//End Fields
			


		
			
			
			
			
			
		),
	);
	return $meta_boxes;
}
add_filter( 'cmb_meta_boxes', 'wppconvert_sample_metaboxes' );



function wppconvert_generateRandomString($length = 20) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $charactersLength = strlen($characters);
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    return 'wp'.$randomString;
}


?>